# Update a brand

{% hint style="warning" %}
A successful request to this endpoint will mean you may be charged a [brand resubmission](https://docs.bird.com/applications/channels/channels/supported-channels/sms/concepts/united-states-sms-registration/sms-10dlc/brand-registration#brand-registration-fees) fee
{% endhint %}

## Update brand by id

> A brand cannot be updated if the status is failed. The brand must be resubmitted as new. When a brand is approved or has an approved vetting, then the fields 'companyName', 'entityType', 'ein' and 'einIssuingCountry' cannot be updated. When a brand is rejected all fields can be updated.<br>

```json
{"openapi":"3.0.3","info":{"title":"Numbers","version":"v1"},"tags":[{"description":"TCR Brands","name":"number_brands"}],"servers":[{"url":"https://api.bird.com","description":"Production API"}],"security":[{"accessKey":[]}],"components":{"securitySchemes":{"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token (e.g., 'Authorization: AccessKey AbCdEfGhIjKlMnOpQrStUvWxYzAbCdEfGhIj')","scheme":"AccessKey","type":"http"}},"schemas":{"UpdateBrand_Workspace":{"type":"object","properties":{"entityType":{"$ref":"#/components/schemas/BrandEntityType"},"firstName":{"maxLength":100,"type":"string","description":"First or given name. Applicable to entity type."},"lastName":{"maxLength":100,"type":"string","description":"Last or Surname. Applicable to entity type."},"displayName":{"maxLength":255,"type":"string","description":"Display or marketing name your brand."},"companyName":{"maxLength":255,"type":"string","description":"Legal company name. This should match the legal company name used to register your EIN/Tax ID. It can't be updated when the brand is approved."},"ein":{"maxLength":21,"type":"string","description":"Government assigned corporate tax ID. EIN is 9-digits in the U.S. It can't be updated when the brand is approved."},"einIssuingCountry":{"maxLength":2,"type":"string","description":"The 2 letter ISO country of registration submitted with your EIN / Tax ID registration. It can't be updated when the brand is approved."},"phone":{"maxLength":20,"type":"string","description":"Valid phone number in e.164 international format."},"street":{"maxLength":100,"type":"string","description":"Street number and name."},"city":{"maxLength":100,"type":"string","description":"City name"},"state":{"maxLength":20,"type":"string","description":"State. Must be a 2 letter state code for US states."},"postalCode":{"maxLength":10,"type":"string","description":"Postal code. Must be a 5 digit zip code for the United States."},"country":{"maxLength":2,"type":"string","description":"ISO 2 character country code."},"email":{"maxLength":100,"type":"string","description":"Valid email address of brand support contact."},"stockSymbol":{"maxLength":10,"type":"string","description":"Stock symbol. Required if updating stockExchange."},"stockExchange":{"$ref":"#/components/schemas/BrandStockExchange"},"website":{"maxLength":100,"type":"string","description":"Brand website URL."},"vertical":{"maxLength":50,"type":"string","description":"Vertical or industry segment of the brand."},"altBusinessId":{"maxLength":50,"type":"string","description":"Alternate business identifier such as DUNS, LEI, or GIIN"},"altBusinessIdType":{"$ref":"#/components/schemas/BrandAltBusinessIdType"},"businessContactEmail":{"description":"Business contact email.","oneOf":[{"type":"string","format":"email"},{"type":"string","minLength":0,"maxLength":0}]}}},"BrandEntityType":{"type":"string","description":"Legal entity type. It can't be updated when the brand is approved.","enum":["PRIVATE_PROFIT","PUBLIC_PROFIT","NON_PROFIT","GOVERNMENT",""]},"BrandStockExchange":{"type":"string","description":"Stock exchange. Required for entityType PUBLIC.","enum":["NONE","NASDAQ","NYSE","AMEX","AMX","ASX","B3","BME","BSE","FRA","ICEX","JPX","JSE","KRX","LON","NSE","OMX","SEHK","SGX","SSE","STO","SWX","SZSE","TSX","TWSE","VSE","OTHER",""]},"BrandAltBusinessIdType":{"type":"string","description":"Alternate business identifier type. Required if altBusinessId is provided.","enum":["NONE","DUNS","GIIN","LEI",""]},"WorkspaceTCRBrand":{"type":"object","additionalProperties":false,"required":["country","displayName","email","entityType","phone","street","city","state","postalCode","companyName","ein","einIssuingCountry","website"],"properties":{"id":{"type":"string","description":"The ID of the number.","format":"uuid"},"tcrBrandId":{"type":"string","description":"The Campaign Registry brand ID."},"organizationId":{"type":"string","format":"uuid"},"createdAt":{"type":"string","description":"Timestamp (UTC) when the brand was created.","format":"date-time"},"updatedAt":{"type":"string","description":"Timestamp (UTC) when the brand was last updated.","nullable":true,"format":"date-time"},"status":{"$ref":"#/components/schemas/BrandStatus"},"authPlusStatus":{"$ref":"#/components/schemas/BrandAuthPlusStatus"},"entityType":{"$ref":"#/components/schemas/BrandEntityType"},"firstName":{"maxLength":100,"type":"string","description":"First or given name. Applicable to entity type."},"lastName":{"maxLength":100,"type":"string","description":"Last or Surname. Applicable to entity type."},"displayName":{"maxLength":255,"type":"string","description":"Display or marketing name your brand."},"companyName":{"maxLength":255,"type":"string","description":"Legal company name. This should match the legal company name used to register your EIN/Tax ID."},"ein":{"maxLength":21,"type":"string","description":"Government assigned corporate tax ID. EIN is 9-digits in the U.S."},"einIssuingCountry":{"maxLength":2,"type":"string","description":"The 2 letter ISO country of registration submitted with your EIN / Tax ID registration."},"phone":{"maxLength":20,"type":"string","description":"Valid phone number in e.164 international format."},"street":{"maxLength":100,"type":"string","description":"Street number and name."},"city":{"maxLength":100,"type":"string","description":"City name"},"state":{"maxLength":20,"type":"string","description":"State. Must be a 2 letter state code for US states."},"postalCode":{"maxLength":10,"type":"string","description":"Postal code. Must be a 5 digit zip code for the United States."},"country":{"maxLength":2,"type":"string","description":"ISO 2 character country code."},"email":{"maxLength":100,"type":"string","description":"Valid email address of brand support contact."},"stockSymbol":{"maxLength":10,"type":"string","description":"Stock symbol."},"stockExchange":{"$ref":"#/components/schemas/BrandStockExchange"},"website":{"maxLength":100,"type":"string","description":"Brand website URL."},"vertical":{"maxLength":50,"type":"string","description":"Vertical or industry segment of the brand."},"altBusinessId":{"maxLength":50,"type":"string","description":"Alternate business identifier."},"altBusinessIdType":{"$ref":"#/components/schemas/BrandAltBusinessIdType"},"businessContactEmail":{"description":"Business contact email.","oneOf":[{"type":"string","format":"email"},{"type":"string","minLength":0,"maxLength":0}]},"businessContactEmailVerifiedDate":{"type":"string","description":"Timestamp (UTC) when the brand businessContactEmail was verified.","format":"date-time"},"rejection":{"type":"object","description":"Rejection details","required":["description"],"properties":{"description":{"type":"string","description":"Rejection description"},"code":{"type":"string","description":"Rejection code"}}}}},"BrandStatus":{"type":"string","description":"Brand status","enum":["FAILED","PENDING","REJECTED","APPROVED","DELETED","DRAFT"]},"BrandAuthPlusStatus":{"type":"string","description":"Brand Auth+ status","enum":["NOT_APPLICABLE","NEEDS_CHARGE","NEEDS_TRIGGER","DONE"]},"Error":{"type":"object","additionalProperties":false,"required":["code","message"],"properties":{"code":{"type":"string","description":"A unique code that identifies the error. This code can be used to programmatically identify the error.\n","minLength":5},"message":{"type":"string","minLength":5,"description":"A human-readable message that describes the error. An example is 'The request body is missing the required field `service`.'\n"},"details":{"type":"object","additionalProperties":true,"description":"Additional details about the error. This object can contain any additional information that may be useful for debugging.\n"}}}}},"paths":{"/workspaces/{workspaceId}/tcr-brands/{brandId}":{"patch":{"description":"A brand cannot be updated if the status is failed. The brand must be resubmitted as new. When a brand is approved or has an approved vetting, then the fields 'companyName', 'entityType', 'ein' and 'einIssuingCountry' cannot be updated. When a brand is rejected all fields can be updated.\n","operationId":"updateWorkspaceBrand","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateBrand_Workspace"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkspaceTCRBrand"}}},"description":"Brand successfully updated"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Unable to update brand"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Brand not found"}},"summary":"Update brand by id","tags":["number_brands"]}}}}
```

## BrandUpdate object

<table><thead><tr><th>Field</th><th width="199">Type</th><th>Description</th><th>Mandatory</th><th>Editing restrictions</th></tr></thead><tbody><tr><td>entityType</td><td><a href="/pages/nnk2xAR5uyfw225eV5pA#entitytype">entityType</a></td><td>Legal entity type</td><td>Optional</td><td>Yes. If Brand has an Approved campaign or Vetting has been Approved</td></tr><tr><td>displayName</td><td>string</td><td>Display or marketing name your brand</td><td>Optional</td><td><br></td></tr><tr><td>companyName</td><td>string</td><td>Legal company name. This should match the legal company name used to register your EIN/Tax ID</td><td>Optional</td><td>Yes. If Brand has an Approved campaign or Vetting has been Approved</td></tr><tr><td>ein</td><td>string</td><td>Government assigned corporate tax ID. EIN is 9-digits in the U.S.</td><td>Optional</td><td>Yes. If Brand has an Approved campaign or Vetting has been Approved</td></tr><tr><td>einIssuingCountry</td><td>string</td><td>The 2 letter ISO country of registration submitted with your EIN / Tax ID registration</td><td>Optional</td><td>Yes. If Brand has an Approved campaign or Vetting has been Approved</td></tr><tr><td>phone</td><td>string</td><td>Valid phone number in e.164 international format.</td><td>Optional</td><td><br></td></tr><tr><td>street</td><td>string</td><td>Street number and name</td><td>Optional</td><td><br></td></tr><tr><td>city</td><td>string</td><td>City name</td><td>Optional</td><td><br></td></tr><tr><td>state</td><td>string</td><td>State. Must be a 2 letter state code for US states</td><td>Optional</td><td><br></td></tr><tr><td>postalCode</td><td>string</td><td>Postal code. Must be a 5 digit zip code for the United States</td><td>Optional</td><td><br></td></tr><tr><td>country</td><td>string</td><td>ISO 2 character country code</td><td>Optional</td><td><br></td></tr><tr><td>email</td><td>string</td><td>Valid email address of brand support contact</td><td>Optional</td><td><br></td></tr><tr><td>stockSymbol</td><td><a href="/pages/nnk2xAR5uyfw225eV5pA#stocksymbol">stockSymbol</a></td><td>Stock symbol</td><td>Optional. Required if updating stockExchange</td><td><br></td></tr><tr><td>stockExchange</td><td><a href="/pages/nnk2xAR5uyfw225eV5pA#stockexchange">stockExchange</a></td><td>Stock exchange</td><td>Optional. Required if updating stockSymbol</td><td><br></td></tr><tr><td>website</td><td>string</td><td>Brand website URL</td><td>Optional</td><td><br></td></tr><tr><td>vertical</td><td><a href="/pages/nnk2xAR5uyfw225eV5pA#verticals">vertical</a></td><td>Vertical or industry segment of the brand</td><td>Optional</td><td><br></td></tr></tbody></table>

## BrandResponse object

| Type                                                                                | Description                                      |
| ----------------------------------------------------------------------------------- | ------------------------------------------------ |
| [BrandReponse](/api/numbers-api/api-reference/10dlc-compliance/brands-workspace.md) | BrandResponse object describes a submitted brand |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bird.com/api/numbers-api/api-reference/10dlc-compliance/brands-workspace/update-a-brand.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
